package com.gree.mall.manager.bean.admin;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.StateEnum;
import com.gree.mall.manager.enums.StatusEnum;
import com.gree.mall.manager.plus.entity.AdminWebsit;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel
public class AdminWebsitVO   {

    @ApiModelProperty(value = "商家编号")
    private String websitId;

    @ApiModelProperty(value = "商家名称")
    private String name;

    @ApiModelProperty(value = "网点编号")
    private String websitNumber;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户id")
    private String companyWechatId;

    @ApiModelProperty(value = "上级公司")
    private String companyName;

    @ApiModelProperty(value = "联系电话")
    private String mobile;

    @ApiModelProperty(value = "负责人")
    private String person;

    @ApiModelProperty(value = "负责人电话")
    private String personMobile;

    @ApiModelProperty(value = "状态")
    private StateEnum status;

    @ApiModelProperty(value = "商家类型")
    private String type;


    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "收款商户号")
    private String payWorkerCodeName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "师傅收款电子支付商户")
    private String payWorkerCodeId;


    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @ApiModelProperty(value = "修改人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateBy;

    @ApiModelProperty(value = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
}
